petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCUSPFormatOperation

indicates the operation of CUSP (GPU) matrices whose operation should use a particular storage format.

### Synopsis

    typedef enum {MAT_CUSP_MULT_DIAG, MAT_CUSP_MULT_OFFDIAG, MAT_CUSP_MULT, MAT_CUSP_ALL} MatCUSPFormatOperation;

Not Collective

| MAT_CUSP_MULT_DIAG | - sets the storage format for the diagonal matrix in the parallel MatMult
| MAT_CUSP_MULT_OFFDIAG | - sets the storage format for the offdiagonal matrix in the parallel MatMult
| MAT_CUSP_MULT | - sets the storage format for the entire matrix in the serial (single GPU) MatMult
| MAT_CUSP_ALL | - sets the storage format for all CUSP (GPU) matrices

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h

### See Also

MatCUSPSetFormat(), MatCUSPStorageFormat

Level:intermediate
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages